$dest =~ s/^\n*//g ;
$dest =~ s/\n\n+/\n\n/g ;
}
+ $dest =~ s/pkgname/$package_list[0]/g ;
open D, "> $destfile" ;
print D "$dest" ;
close S ;
}
}
+ print "pkgname: $package_list[0]\n" ;
Status
------
Want to know what the status of this package is? Read
-/usr/share/doc/gforge/TODO.Debian or (even better)
+/usr/share/doc/pkgname/TODO.Debian or (even better)
<http://savannah.gnu.org/support/?group_id=259>. If you miss a
feature, or find a bug, or want to help, don't hesitate to contact me
(Roland Mas <lolando@debian.org>) . Plenty of features are missing,
most I might process them in the wrong order for you.
Please read the bug reports on the Debian bug-tracking system (at
-<URL:http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=gforge>)
+<URL:http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=pkgname>)
before submitting new ones. Be warned that bug reports describing a
problem precisely and/or offering a solution will probably be
processed faster :-)
have tried to make its installation, there are still things that need
to be done by hand, maybe even by a system administrator.
- First, you'll need a hostname. Get the gforge.<your-domain>
+ First, you'll need a hostname. Get the pkgname.<your-domain>
DNS name to be created, pointing on the IP address of the host you're
-installing GForge on. The "gforge" part isn't required, you
+installing GForge on. The "pkgname" part isn't required, you
can call it however you like. However, I'll assume you chose
-"gforge" from now on; substitute as needed.
+"pkgname" from now on; substitute as needed.
If you want to use the Apache virtual hosting service, you'll even
need a delegation of a subdomain. Get your system administrator to
-delegate you the SOA for the gforge.<your-domain> subdomain.
+delegate you the SOA for the pkgname.<your-domain> subdomain.
This will allow GForge to create new hostnames for projects when
-needed (foo.gforge.<your-domain>, for instance), as well as some
+needed (foo.pkgname.<your-domain>, for instance), as well as some
hostnames needed by the system (for mailing-lists or SCM, for
instance).
Otherwise, just use mod-ssl-makecert as advised during the
configuration phase, and get your own custom certificate.
- Do *not* delete the /etc/gforge/*.template files. They are
+ Do *not* delete the /etc/pkgname/*.template files. They are
needed. Do not alter them either unless you *know* what you're doing.
If you need to add skills to the database after installation, you
can use the sf-add-skill script. Give it a skill (or a list of
skills) and it'll insert it into the databse. This script is located
-in /usr/share/gforge/bin/.
+in /usr/share/pkgname/bin/.
For cvs to work you have to add a symlink doing
-ln -s /var/lib/gforge/chroot/cvsroot /cvsroot.
+ln -s /var/lib/pkgname/chroot/cvsroot /cvsroot.
We can't do this for Debian policy reason that forbid this.
For svn similar
-ln -s /var/lib/gforge/chroot/svnroot /svnroot is to be done
+ln -s /var/lib/pkgname/chroot/svnroot /svnroot is to be done
Don't forget about adding
-SYSLOGD="-p /dev/log -a /var/lib/gforge/chroot/dev/log" in /etc/default/syslog
+SYSLOGD="-p /dev/log -a /var/lib/pkgname/chroot/dev/log" in /etc/default/syslog
This is a WARNING you might have seen at install, essential if you run
anonymous cvs in a root jail (This is the default in Debian)
file should be used, takes appropriate action, then lets the subsystem
finish its configuration. Similar things happen for prerm scripts.
- The package is now split into several gforge-* packages. Some
+ The package is now split into several pkgname-* packages. Some
of them still contain some install-*.sh scripts (usually at most one).
-Each gforge-* package installs its corresponding subsystem, or a
+Each pkgname-* package installs its corresponding subsystem, or a
semblance thereof. For instance, it is planned that the database can
be hosted on a different server than the website. But the website
still needs to know where the database server is. In this case, the
-database host will have to install gforge-db-local (or whatever
+database host will have to install pkgname-db-local (or whatever
the package is named), and the web server will have to install
-gforge-db-remote. The -db-local package will still install the
+pkgname-db-remote. The -db-local package will still install the
database (thus invoking install-db.sh), but -db-remote will only
install what is needed by the database *clients* (basically, the host
where the database is installed and the appropriate password).
-db_fget gforge/shared/domain_name seen || true
+db_fget pkgname/shared/domain_name seen || true
if [ "$RET" = "false" ] ; then
hostname=$(hostname -f 2>/dev/null) || hostname=localhost
- db_set gforge/shared/domain_name $hostname
+ db_set pkgname/shared/domain_name $hostname
fi
-db_input medium gforge/shared/domain_name || true
+db_input medium pkgname/shared/domain_name || true
db_go || true
-db_fget gforge/shared/server_admin seen || true
+db_fget pkgname/shared/server_admin seen || true
if [ "$RET" = "false" ] ; then
- db_get gforge/shared/domain_name || true
- db_set gforge/shared/server_admin "webmaster@$RET"
+ db_get pkgname/shared/domain_name || true
+ db_set pkgname/shared/server_admin "webmaster@$RET"
fi
-db_input medium gforge/shared/server_admin || true
-db_input low gforge/shared/system_name || true
+db_input medium pkgname/shared/server_admin || true
+db_input low pkgname/shared/system_name || true
db_go || true
# Even minor modifications require translation updates and such
# changes should be coordinated with translators and reviewers.
-Template: gforge/shared/domain_name
+Template: pkgname/shared/domain_name
Type: string
_Description: GForge domain or subdomain name:
Please enter the domain that will host the GForge installation. Some
services (scm, lists, etc.) will be given their own subdomain in that
domain.
-Template: gforge/shared/server_admin
+Template: pkgname/shared/server_admin
Type: string
_Description: GForge administrator e-mail address:
Please enter the e-mail address of the GForge administrator of this site. It
will be used when problems occur.
-Template: gforge/shared/system_name
+Template: pkgname/shared/system_name
Type: string
Default: GForge
_Description: GForge system name:
-db_fget gforge/shared/db_host seen || true
-[ "$RET" = "false" ] && db_set gforge/shared/db_host 127.0.0.1
-db_input medium gforge/shared/db_host || true
+db_fget pkgname/shared/db_host seen || true
+[ "$RET" = "false" ] && db_set pkgname/shared/db_host 127.0.0.1
+db_input medium pkgname/shared/db_host || true
-db_fget gforge/shared/db_name seen || true
-db_input medium gforge/shared/db_name || true
+db_fget pkgname/shared/db_name seen || true
+db_input medium pkgname/shared/db_name || true
-db_fget gforge/shared/db_user seen || true
-db_input medium gforge/shared/db_user || true
+db_fget pkgname/shared/db_user seen || true
+db_input medium pkgname/shared/db_user || true
db_go || true
# Even minor modifications require translation updates and such
# changes should be coordinated with translators and reviewers.
-Template: gforge/shared/db_host
+Template: pkgname/shared/db_host
Type: string
_Description: Database server:
Please enter the IP address (or hostname) of the server that will
host the GForge database.
-Template: gforge/shared/db_name
+Template: pkgname/shared/db_name
Type: string
-Default: gforge
+Default: pkgname
_Description: Database name:
Please enter the name of the database that will host the GForge database.
-Template: gforge/shared/db_user
+Template: pkgname/shared/db_user
Type: string
-Default: gforge
+Default: pkgname
_Description: Database administrator username:
Please enter the username of the database administrator for the server
that will host the GForge database.
-db_fget gforge/shared/db_password seen || true
+db_fget pkgname/shared/db_password seen || true
if [ "$RET" = "false" ]; then
- db_set gforge/shared/db_password $(gen_random_pw)
- db_get gforge/shared/db_password || true
+ db_set pkgname/shared/db_password $(gen_random_pw)
+ db_get pkgname/shared/db_password || true
echo "Since you asked not to see all the debconf questions, I generated a random"
echo "password for the database. Use it if you want to have a peek at the"
echo "database by hand. It is '${RET}'." ;
- db_fset gforge/shared/db_password seen true
+ db_fset pkgname/shared/db_password seen true
fi
db_go || true
# Even minor modifications require translation updates and such
# changes should be coordinated with translators and reviewers.
-Template: gforge/shared/db_password
+Template: pkgname/shared/db_password
Type: password
_Description: Password used for the database:
Connections to the database system are authenticated by a password.
.
Please choose the connection password.
-Template: gforge/shared/db_password_confirm
+Template: pkgname/shared/db_password_confirm
Type: password
_Description: Password confirmation:
Please re-type the password for confirmation.
-db_fget gforge/shared/download_host seen || true
+db_fget pkgname/shared/download_host seen || true
if [ "$RET" = "false" ] ; then
- db_get gforge/shared/domain_name
- db_set gforge/shared/download_host download.$RET
+ db_get pkgname/shared/domain_name
+ db_set pkgname/shared/download_host download.$RET
fi
-db_input low gforge/shared/download_host || true
+db_input low pkgname/shared/download_host || true
db_go || true
vars="download_host"
# Even minor modifications require translation updates and such
# changes should be coordinated with translators and reviewers.
-Template: gforge/shared/download_host
+Template: pkgname/shared/download_host
Type: string
_Description: Download server:
Please enter the host name of the server that will host the GForge packages.
-db_fget gforge/shared/ftpuploadhost seen || true
+db_fget pkgname/shared/ftpuploadhost seen || true
if [ "$RET" = "false" ] ; then
- db_get gforge/shared/domain_name
- db_set gforge/shared/ftpuploadhost upload.$RET
+ db_get pkgname/shared/domain_name
+ db_set pkgname/shared/ftpuploadhost upload.$RET
fi
-db_input low gforge/shared/ftpuploadhost || true
+db_input low pkgname/shared/ftpuploadhost || true
db_go || true
vars="ftpuploadhost"
-Template: gforge/shared/ftpuploadhost
+Template: pkgname/shared/ftpuploadhost
Type: string
_Description: Your upload server for released files:
The hostname of the server where you will upload files
-db_input low gforge/shared/newsadmin_groupid || true
-db_input low gforge/shared/statsadmin_groupid || true
-db_input low gforge/shared/peerrating_groupid || true
+db_input low pkgname/shared/newsadmin_groupid || true
+db_input low pkgname/shared/statsadmin_groupid || true
+db_input low pkgname/shared/peerrating_groupid || true
db_go || true
# Even minor modifications require translation updates and such
# changes should be coordinated with translators and reviewers.
-Template: gforge/shared/newsadmin_groupid
+Template: pkgname/shared/newsadmin_groupid
Type: string
Default: 2
_Description: News administrative group ID:
page. This group's ID must not be 1. This should be changed only if
you upgrade from a previous version and want to keep the data.
-Template: gforge/shared/statsadmin_groupid
+Template: pkgname/shared/statsadmin_groupid
Type: string
Default: 3
_Description: Statistics administrative group ID:
-Template: gforge/shared/peerrating_groupid
+Template: pkgname/shared/peerrating_groupid
Type: string
Default: 4
_Description: Peer rating administrative group ID:
###
# Functions to handle the main Gforge configuration file
###
-mainconfdir=/etc/gforge
-mainconffile=$mainconfdir/gforge.conf
+mainconfdir=/etc/pkgname
+mainconffile=$mainconfdir/pkgname.conf
create_mainconffile () {
if [ ! -e $mainconfdir ] ; then
mkdir -p $mainconfdir
update_onevar_from_mainconfile__retcode=0
value=$(grep ^$key= $mainconffile | tail -1 | cut -d= -f2-)
if [ ! -z "$value" ] ; then
- db_set gforge/shared/$key $value || update_onevar_from_mainconfile__retcode=$? || true
+ db_set pkgname/shared/$key $value || update_onevar_from_mainconfile__retcode=$? || true
# case $update_onevar_from_mainconfile__retcode in
# 0)
# echo "$key = $value injected into Debconf OK"
-# db_fset gforge/shared/$key seen true || true
+# db_fset pkgname/shared/$key seen true || true
# ;;
# 10)
# echo "$key = $value not injected into Debconf (non-existing question maybe?)"
}
update_mainconffile () {
for key in $@ ; do
- db_get gforge/shared/$key
+ db_get pkgname/shared/$key
val=$RET
update_onevar_mainconffile $key $val
done
###
# Functions to handle the main Gforge configuration file
###
-mainconffile=/etc/gforge/gforge.conf
+mainconffile=/etc/pkgname/pkgname.conf
# Update it for the variables received as parameters
create_mainconffile () {
if [ ! -e $mainconffile ] ; then
}
update_mainconffile () {
for key in $@ ; do
- db_get gforge/shared/$key
+ db_get pkgname/shared/$key
val=$RET
update_onevar_mainconffile $key $val
done
###
# Functions to handle the main Gforge confguration file
###
-mainconffile=/etc/gforge/gforge.conf
+mainconffile=/etc/pkgname/pkgname.conf
# Delete the main configuration file
delete_mainconffile () {
rm -f $mainconffile
-db_fget gforge/shared/ip_address seen || true
+db_fget pkgname/shared/ip_address seen || true
if [ "$RET" = "false" ] ; then
- db_get gforge/shared/domain_name
- db_set gforge/shared/ip_address $(hostname -i | cut -f1 -d" ")
+ db_get pkgname/shared/domain_name
+ db_set pkgname/shared/ip_address $(hostname -i | cut -f1 -d" ")
fi
-db_input medium gforge/shared/ip_address || true
-db_input medium gforge/shared/server_admin || true
+db_input medium pkgname/shared/ip_address || true
+db_input medium pkgname/shared/server_admin || true
db_go || true
# Even minor modifications require translation updates and such
# changes should be coordinated with translators and reviewers.
-Template: gforge/shared/ip_address
+Template: pkgname/shared/ip_address
Type: string
_Description: IP address:
Please enter the IP address of the server that will host the GForge
-db_fget gforge/shared/jabber_host seen || true
+db_fget pkgname/shared/jabber_host seen || true
if [ "$RET" = "false" ] ; then
- db_get gforge/shared/domain_name
- db_set gforge/shared/jabber_host jabber.$RET
+ db_get pkgname/shared/domain_name
+ db_set pkgname/shared/jabber_host jabber.$RET
fi
-db_input low gforge/shared/jabber_host || true
+db_input low pkgname/shared/jabber_host || true
db_go || true
vars="jabber_host"
-Template: gforge/shared/jabber_host
+Template: pkgname/shared/jabber_host
Type: string
_Description: Your jabber server:
The hostname of the server that will host your Jabber server
-db_fget gforge/shared/lists_host seen || true
+db_fget pkgname/shared/lists_host seen || true
if [ "$RET" = "false" ] ; then
- db_get gforge/shared/domain_name
- db_set gforge/shared/lists_host lists.$RET
+ db_get pkgname/shared/domain_name
+ db_set pkgname/shared/lists_host lists.$RET
fi
-db_input medium gforge/shared/lists_host || true
+db_input medium pkgname/shared/lists_host || true
db_go || true
# Even minor modifications require translation updates and such
# changes should be coordinated with translators and reviewers.
-Template: gforge/shared/lists_host
+Template: pkgname/shared/lists_host
Type: string
_Description: Mailing lists server:
Please enter the host name of the server that will host the GForge
-db_fget gforge/shared/shell_host seen || true
+db_fget pkgname/shared/shell_host seen || true
if [ "$RET" = "false" ] ; then
- db_get gforge/shared/domain_name
- db_set gforge/shared/shell_host shell.$RET
+ db_get pkgname/shared/domain_name
+ db_set pkgname/shared/shell_host shell.$RET
fi
-db_input low gforge/shared/shell_host || true
+db_input low pkgname/shared/shell_host || true
db_go || true
vars="shell_host"
# Even minor modifications require translation updates and such
# changes should be coordinated with translators and reviewers.
-Template: gforge/shared/shell_host
+Template: pkgname/shared/shell_host
Type: string
_Description: Shell server:
Please enter the host name of the server that will host the GForge
-db_fget gforge/shared/upload_host seen || true
+db_fget pkgname/shared/upload_host seen || true
if [ "$RET" = "false" ] ; then
- db_get gforge/shared/domain_name
- db_set gforge/shared/upload_host upload.$RET
+ db_get pkgname/shared/domain_name
+ db_set pkgname/shared/upload_host upload.$RET
fi
-db_input low gforge/shared/upload_host || true
+db_input low pkgname/shared/upload_host || true
db_go || true
vars="upload_host"
-Template: gforge/shared/upload_host
+Template: pkgname/shared/upload_host
Type: string
_Description: Your upload server:
The hostname of the server where you will upload files available
-db_fget gforge/shared/users_host seen || true
+db_fget pkgname/shared/users_host seen || true
if [ "$RET" = "false" ] ; then
- db_get gforge/shared/domain_name
- db_set gforge/shared/users_host users.$RET
+ db_get pkgname/shared/domain_name
+ db_set pkgname/shared/users_host users.$RET
fi
-db_input medium gforge/shared/users_host || true
+db_input medium pkgname/shared/users_host || true
db_go || true
# Even minor modifications require translation updates and such
# changes should be coordinated with translators and reviewers.
-Template: gforge/shared/users_host
+Template: pkgname/shared/users_host
Type: string
_Description: User mail redirector server:
Please enter the host name of the server that will host the GForge user mail
-db_input low gforge/shared/sys_lang || true
-db_input low gforge/shared/sys_theme || true
+db_input low pkgname/shared/sys_lang || true
+db_input low pkgname/shared/sys_theme || true
db_go || true
# Even minor modifications require translation updates and such
# changes should be coordinated with translators and reviewers.
-Template: gforge/shared/sys_lang
+Template: pkgname/shared/sys_lang
Type: select
__Choices: English, Bulgarian, Catalan, Chinese (Traditional), Dutch, Esperanto, French, German, Greek, Hebrew, Indonesian, Italian, Japanese, Korean, Latin, Norwegian, Polish, Portuguese (Brazilian), Portuguese, Russian, Chinese (Simplified), Spanish, Swedish, Thai
_DefaultChoice: English[ Default language]
_Description: Default language:
Please choose the default language for web pages.
-Template: gforge/shared/sys_theme
+Template: pkgname/shared/sys_theme
Type: string
-Default: gforge
+Default: pkgname
_Description: Default theme:
Please choose the default theme for web pages. This must be a valid
name.
-gforge-config.1
+pkgname-config.1
cvssh.1
#! /bin/sh
-# postinst script for gforge
+# postinst script for pkgname
#
# see: dh_installdeb(1)
case "$1" in
configure)
- adduser --system --group --home /var/www/gforge gforge > /dev/null 2>&1
- adduser --system --group --home /var/lib/gforge/chroot/cvsroot anonscm-gforge > /dev/null 2>&1
- adduser --system --group --home /var/lib/gforge/chroot/cvsroot scm-gforge > /dev/null 2>&1
- adduser --system --group --home /var/lib/gforge/chroot/cvsroot www-gforge > /dev/null 2>&1
+ adduser --system --group --home /var/www/pkgname pkgname > /dev/null 2>&1
+ adduser --system --group --home /var/lib/pkgname/chroot/cvsroot anonscm-pkgname > /dev/null 2>&1
+ adduser --system --group --home /var/lib/pkgname/chroot/cvsroot scm-pkgname > /dev/null 2>&1
+ adduser --system --group --home /var/lib/pkgname/chroot/cvsroot www-pkgname > /dev/null 2>&1
- gforge-config
+ pkgname-config
;;
abort-upgrade|abort-remove|abort-deconfigure)
#! /bin/sh
-# postrm script for gforge
+# postrm script for pkgname
#
# see: dh_installdeb(1)
case "$1" in
purge)
- rm -rf /var/lib/gforge
- [ -d /etc/gforge ] && rm -rf /etc/gforge
+ rm -rf /var/lib/pkgname
+ [ -d /etc/pkgname ] && rm -rf /etc/pkgname
;;
remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
;;
#! /bin/sh
-# prerm script for gforge
+# prerm script for pkgname
#
# see: dh_installdeb(1)
case "$1" in
remove)
- rm -f /etc/gforge/local.pl
+ rm -f /etc/pkgname/local.pl
;;
upgrade|deconfigure|failed-upgrade)
;;
<!ENTITY dhemail "<email>lolando@debian.org</email>">
<!ENTITY dhusername "Roland Mas">
<!ENTITY dhucpackage "<refentrytitle>Gforge</refentrytitle>">
- <!ENTITY dhpackage "gforge-config">
+ <!ENTITY dhpackage "pkgname-config">
<!ENTITY debian "<productname>Debian GNU/Linux</productname>">
<!ENTITY gnu "<acronym>GNU</acronym>">
</para>
<para><command>&dhpackage;</command> replaces (or creates) the
- configuration files found in /etc/gforge with appropriate
+ configuration files found in /etc/pkgname with appropriate
files derived from standard fill-in-the-blank templates (found
- in /usr/share/gforge/templates). The values used to fill in
- the blanks are taken from /etc/gforge.conf.
+ in /usr/share/pkgname/templates). The values used to fill in
+ the blanks are taken from /etc/pkgname.conf.
</para>
</refsect1>
#DSFHELPER:dbhost-variables#
#DSFHELPER:dbpasswd-variables#
-db_input low gforge/shared/admin_login || true
-db_fget gforge/shared/admin_password seen || true
+db_input low pkgname/shared/admin_login || true
+db_fget pkgname/shared/admin_password seen || true
if [ "$RET" = "false" ]; then
- if [ "$(get_pw gforge/shared/admin_password high)" = "not-asked" ] ; then
- db_set gforge/shared/admin_password $(gen_random_pw)
- db_get gforge/shared/admin_password || true
+ if [ "$(get_pw pkgname/shared/admin_password high)" = "not-asked" ] ; then
+ db_set pkgname/shared/admin_password $(gen_random_pw)
+ db_get pkgname/shared/admin_password || true
echo "Since you asked not to see all the debconf questions, I generated a random"
echo "password for the admin user. It is '${RET}'." ;
- db_fset gforge/shared/admin_password seen true
+ db_fset pkgname/shared/admin_password seen true
fi
fi
#DSFHELPER:downloadhost-variables#
#DSFHELPER:groupid-variables#
-db_input low gforge/shared/skill_list || true
+db_input low pkgname/shared/skill_list || true
db_go || true
#! /bin/sh
-# postinst script for gforge
+# postinst script for pkgname
#
# see: dh_installdeb(1)
export pg_hba_dir=/etc/postgresql/${pg_version}/main
else
echo "No database found online on port 5432"
- echo "Couldn't initialize or upgrade gforge database."
+ echo "Couldn't initialize or upgrade pkgname database."
echo "Please see postgresql documentation"
- echo "and run dpkg-reconfigure -plow gforge-db-postgresql"
+ echo "and run dpkg-reconfigure -plow pkgname-db-postgresql"
echo "once the problem is solved"
- echo "exiting without error, but gforge db will not work"
+ echo "exiting without error, but pkgname db will not work"
echo "right now"
exit 0
fi
configure)
add_onevar_mainconfile default_trove_cat 18
- gforge-config
+ pkgname-config
# Patch DB configuration files
- /usr/share/gforge/bin/install-db.sh configure-files
- ucf --debconf-ok ${pg_hba_dir}/pg_hba.conf.gforge-new ${pg_hba_dir}/pg_hba.conf
- rm ${pg_hba_dir}/pg_hba.conf.gforge-new
+ /usr/share/pkgname/bin/install-db.sh configure-files
+ ucf --debconf-ok ${pg_hba_dir}/pg_hba.conf.pkgname-new ${pg_hba_dir}/pg_hba.conf
+ rm ${pg_hba_dir}/pg_hba.conf.pkgname-new
# Make sure the database accepts connections from these new users
pg_name=postgresql-$pg_version
invoke-rc.d ${pg_name} reload
# Setup our DB
- /usr/share/gforge/bin/install-db.sh configure
+ /usr/share/pkgname/bin/install-db.sh configure
;;
abort-upgrade|abort-remove|abort-deconfigure)
#! /bin/sh
-# prerm script for gforge
+# prerm script for pkgname
#
# see: dh_installdeb(1)
export pg_hba_dir=/etc/postgresql/${pg_version}/main/
else
echo "No database found online on port 5432"
- echo "Couldn't initialize or upgrade gforge database."
+ echo "Couldn't initialize or upgrade pkgname database."
echo "Please see postgresql documentation"
- echo "and run dpkg-reconfigure -plow gforge-db-postgresql"
+ echo "and run dpkg-reconfigure -plow pkgname-db-postgresql"
echo "once the problem is solved"
- echo "exiting without error, but gforge db will not work"
+ echo "exiting without error, but pkgname db will not work"
echo "right now"
exit 0
fi
case "$1" in
remove)
# Remove our database
- /usr/share/gforge/bin/install-db.sh purge
+ /usr/share/pkgname/bin/install-db.sh purge
# Unpatch DB configuration files
- /usr/share/gforge/bin/install-db.sh purge-files
- ucf --debconf-ok ${pg_hba_dir}/pg_hba.conf.gforge-new ${pg_hba_dir}/pg_hba.conf
- rm ${pg_hba_dir}/pg_hba.conf.gforge-new
+ /usr/share/pkgname/bin/install-db.sh purge-files
+ ucf --debconf-ok ${pg_hba_dir}/pg_hba.conf.pkgname-new ${pg_hba_dir}/pg_hba.conf
+ rm ${pg_hba_dir}/pg_hba.conf.pkgname-new
ucf --purge ${pg_hba_dir}/pg_hba.conf
pg_name=postgresql-$pg_version
#DSFHELPER:common-variables#
-Template: gforge/shared/shell_host
+Template: pkgname/shared/shell_host
Type: string
_Description: Shell server:
Please enter the hostname of the server that will host the GForge
#DSFHELPER:lists-variables#
-Template: gforge/shared/download_host
+Template: pkgname/shared/download_host
Type: string
_Description: Download server:
Please enter the hostname of the server that will host the GForge
#DSFHELPER:dbpasswd-variables#
-Template: gforge/shared/admin_login
+Template: pkgname/shared/admin_login
Type: string
Default: admin
_Description: GForge administrator login:
.
Please choose the username for this account.
-Template: gforge/shared/ip_address
+Template: pkgname/shared/ip_address
Type: string
_Description: IP address:
Please enter the IP address of the server that will host the GForge
.
This is needed for the configuration of Apache virtual hosting.
-Template: gforge/shared/admin_password
+Template: pkgname/shared/admin_password
Type: password
_Description: GForge administrator password:
The GForge administrator account will have full privileges on the
.
Please choose the password for this account.
-Template: gforge/shared/admin_password_confirm
+Template: pkgname/shared/admin_password_confirm
Type: password
_Description: Password confirmation:
Please re-type the password for confirmation.
-Template: gforge/shared/skill_list
+Template: pkgname/shared/skill_list
Type: string
Default: Ada;C;C++;HTML;LISP;Perl;PHP;Python;SQL
_Description: Initial list of skills:
#! /bin/sh
-# postinst script for gforge
+# postinst script for pkgname
#
# see: dh_installdeb(1)
case "$1" in
configure)
- gforge-config
+ pkgname-config
# Patch Bind configuration files
- /usr/share/gforge/bin/install-dns.sh configure-files
- ucf --debconf-ok /etc/bind/named.conf.gforge-new /etc/bind/named.conf
- rm /etc/bind/named.conf.gforge-new
+ /usr/share/pkgname/bin/install-dns.sh configure-files
+ ucf --debconf-ok /etc/bind/named.conf.pkgname-new /etc/bind/named.conf
+ rm /etc/bind/named.conf.pkgname-new
db_stop
# Create the DNS zone
- /usr/share/gforge/bin/install-dns.sh configure
+ /usr/share/pkgname/bin/install-dns.sh configure
;;
abort-upgrade|abort-remove|abort-deconfigure)
#! /bin/sh
-# prerm script for gforge
+# prerm script for pkgname
#
# see: dh_installdeb(1)
db_title "Unconfiguring Gforge"
# Unpatch Bind configuration files
- /usr/share/gforge/bin/install-dns.sh purge-files
- ucf --debconf-ok /etc/bind/named.conf.gforge-new /etc/bind/named.conf
- rm /etc/bind/named.conf.gforge-new
+ /usr/share/pkgname/bin/install-dns.sh purge-files
+ ucf --debconf-ok /etc/bind/named.conf.pkgname-new /etc/bind/named.conf
+ rm /etc/bind/named.conf.pkgname-new
ucf --purge /etc/bind/named.conf
# Clean debconf after ourselves
db_stop
# DNS config removal
- /usr/share/gforge/bin/install-dns.sh purge
+ /usr/share/pkgname/bin/install-dns.sh purge
;;
upgrade|deconfigure|failed-upgrade)
#DSFHELPER:host-variables#
#DSFHELPER:web-variables#
-Template: gforge/shared/simple_dns
+Template: pkgname/shared/simple_dns
Type: boolean
Default: false
# Translators: SCM here means "Source Control Management"
#! /bin/sh
-# postinst script for gforge
+# postinst script for pkgname
#
# see: dh_installdeb(1)
case "$1" in
configure)
- gforge-config
+ pkgname-config
# Patch Proftpd configuration files
- /usr/share/gforge/bin/install-ftp.sh configure-files
- if [ -f /etc/proftpd/proftpd.conf.gforge-new ]
+ /usr/share/pkgname/bin/install-ftp.sh configure-files
+ if [ -f /etc/proftpd/proftpd.conf.pkgname-new ]
then
- ucf --debconf-ok /etc/proftpd/proftpd.conf.gforge-new /etc/proftpd/proftpd.conf
- rm /etc/proftpd/proftpd.conf.gforge-new
+ ucf --debconf-ok /etc/proftpd/proftpd.conf.pkgname-new /etc/proftpd/proftpd.conf
+ rm /etc/proftpd/proftpd.conf.pkgname-new
fi
# Setup our FTP
- /usr/share/gforge/bin/install-ftp.sh configure
+ /usr/share/pkgname/bin/install-ftp.sh configure
# Setup our FRS
- chown www-data:www-data /var/lib/gforge/download
+ chown www-data:www-data /var/lib/pkgname/download
;;
#! /bin/sh
-# prerm script for gforge
+# prerm script for pkgname
#
# see: dh_installdeb(1)
db_title "Unconfiguring Gforge"
# Unpatch Proftpd configuration files
- /usr/share/gforge/bin/install-ftp.sh purge-files
- ucf --debconf-ok /etc/proftpd/proftpd.conf.gforge-new /etc/proftpd/proftpd.conf
- rm /etc/proftpd/proftpd.conf.gforge-new
+ /usr/share/pkgname/bin/install-ftp.sh purge-files
+ ucf --debconf-ok /etc/proftpd/proftpd.conf.pkgname-new /etc/proftpd/proftpd.conf
+ rm /etc/proftpd/proftpd.conf.pkgname-new
ucf --purge /etc/proftpd/proftpd.conf
# Clean debconf after ourselves
db_stop
# FTP config removal
- /usr/share/gforge/bin/install-ftp.sh purge
+ /usr/share/pkgname/bin/install-ftp.sh purge
;;
upgrade|deconfigure|failed-upgrade)
;;
#! /bin/sh
-# postinst script for gforge
+# postinst script for pkgname
#
# see: dh_installdeb(1)
case "$1" in
configure)
- gforge-config
+ pkgname-config
echo "Fixing past damage in mailing-lists..."
if [ -z "$2" ] || dpkg --compare-versions $2 le 3rc2-4 ; then
- su -s /bin/sh gforge -c /usr/share/gforge/bin/fix-mailing-lists.pl
+ su -s /bin/sh pkgname -c /usr/share/pkgname/bin/fix-mailing-lists.pl
fi
;;
#DSFHELPER:users-variables#
#DSFHELPER:lists-variables#
-if [ -f /etc/aliases.gforge-new ]
+if [ -f /etc/aliases.pkgname-new ]
then
- ucf --debconf-ok /etc/aliases.gforge-new /etc/aliases
- rm /etc/aliases.gforge-new
+ ucf --debconf-ok /etc/aliases.pkgname-new /etc/aliases
+ rm /etc/aliases.pkgname-new
fi
-if [ -f /etc/exim4/exim4.conf.gforge-new ]
+if [ -f /etc/exim4/exim4.conf.pkgname-new ]
then
- ucf --debconf-ok /etc/exim4/exim4.conf.gforge-new /etc/exim4/exim4.conf
- rm /etc/exim4/exim4.conf.gforge-new
+ ucf --debconf-ok /etc/exim4/exim4.conf.pkgname-new /etc/exim4/exim4.conf
+ rm /etc/exim4/exim4.conf.pkgname-new
fi
-if [ -f /etc/exim4/exim4.conf.template.gforge-new ]
+if [ -f /etc/exim4/exim4.conf.template.pkgname-new ]
then
- ucf --debconf-ok /etc/exim4/exim4.conf.template.gforge-new /etc/exim4/exim4.conf.template
- rm /etc/exim4/exim4.conf.template.gforge-new
+ ucf --debconf-ok /etc/exim4/exim4.conf.template.pkgname-new /etc/exim4/exim4.conf.template
+ rm /etc/exim4/exim4.conf.template.pkgname-new
fi
-if [ -f /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.gforge-new ]
+if [ -f /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.pkgname-new ]
then
- ucf --debconf-ok /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.gforge-new /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs
- rm /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.gforge-new
+ ucf --debconf-ok /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.pkgname-new /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs
+ rm /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.pkgname-new
fi
db_stop
#! /bin/sh
-# postinst script for gforge
+# postinst script for pkgname
#
# see: dh_installdeb(1)
case "$1" in
configure)
- gforge-config
+ pkgname-config
# Patch Exim configuration files
- /usr/share/gforge/bin/install-exim4.sh configure-files
- if [ -f /etc/aliases.gforge-new ]
+ /usr/share/pkgname/bin/install-exim4.sh configure-files
+ if [ -f /etc/aliases.pkgname-new ]
then
- ucf --debconf-ok /etc/aliases.gforge-new /etc/aliases
- rm /etc/aliases.gforge-new
+ ucf --debconf-ok /etc/aliases.pkgname-new /etc/aliases
+ rm /etc/aliases.pkgname-new
fi
- if [ -f /etc/exim4/exim4.conf.gforge-new ]
+ if [ -f /etc/exim4/exim4.conf.pkgname-new ]
then
- ucf --debconf-ok /etc/exim4/exim4.conf.gforge-new /etc/exim4/exim4.conf
- rm /etc/exim4/exim4.conf.gforge-new
+ ucf --debconf-ok /etc/exim4/exim4.conf.pkgname-new /etc/exim4/exim4.conf
+ rm /etc/exim4/exim4.conf.pkgname-new
fi
- if [ -f /etc/exim4/exim4.conf.template.gforge-new ]
+ if [ -f /etc/exim4/exim4.conf.template.pkgname-new ]
then
- ucf --debconf-ok /etc/exim4/exim4.conf.template.gforge-new /etc/exim4/exim4.conf.template
- rm /etc/exim4/exim4.conf.template.gforge-new
+ ucf --debconf-ok /etc/exim4/exim4.conf.template.pkgname-new /etc/exim4/exim4.conf.template
+ rm /etc/exim4/exim4.conf.template.pkgname-new
fi
- if [ -f /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.gforge-new ]
+ if [ -f /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.pkgname-new ]
then
- ucf --debconf-ok /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.gforge-new /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs
- rm /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.gforge-new
+ ucf --debconf-ok /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.pkgname-new /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs
+ rm /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.pkgname-new
fi
;;
#! /bin/sh
-# prerm script for gforge
+# prerm script for pkgname
#
# see: dh_installdeb(1)
db_title "Unconfiguring Gforge"
# Unpatch Exim configuration files
- /usr/share/gforge/bin/install-exim4.sh purge-files
- ucf --debconf-ok /etc/aliases.gforge-new /etc/aliases
- if [ -f /etc/exim4/exim4.conf.gforge-new ]
+ /usr/share/pkgname/bin/install-exim4.sh purge-files
+ ucf --debconf-ok /etc/aliases.pkgname-new /etc/aliases
+ if [ -f /etc/exim4/exim4.conf.pkgname-new ]
then
- ucf --debconf-ok /etc/exim4/exim4.conf.gforge-new /etc/exim4/exim4.conf
- rm /etc/exim4/exim4.conf.gforge-new
+ ucf --debconf-ok /etc/exim4/exim4.conf.pkgname-new /etc/exim4/exim4.conf
+ rm /etc/exim4/exim4.conf.pkgname-new
fi
- ucf --debconf-ok /etc/exim4/exim4.conf.template.gforge-new /etc/exim4/exim4.conf.template
- ucf --debconf-ok /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.gforge-new /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs
- rm /etc/aliases.gforge-new
- rm /etc/exim4/exim4.conf.template.gforge-new
- rm /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.gforge-new
+ ucf --debconf-ok /etc/exim4/exim4.conf.template.pkgname-new /etc/exim4/exim4.conf.template
+ ucf --debconf-ok /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.pkgname-new /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs
+ rm /etc/aliases.pkgname-new
+ rm /etc/exim4/exim4.conf.template.pkgname-new
+ rm /etc/exim4/conf.d/main/01_exim4-config_listmacrosdefs.pkgname-new
ucf --purge /etc/aliases
ucf --purge /etc/exim4/exim4.conf
ucf --purge /etc/exim4/exim4.conf.template
db_stop
# Exim config removal
- /usr/share/gforge/bin/install-exim4.sh purge
+ /usr/share/pkgname/bin/install-exim4.sh purge
;;
upgrade|deconfigure|failed-upgrade)
;;
#DSFHELPER:users-variables#
#DSFHELPER:lists-variables#
-Template: gforge/shared/noreply_to_bitbucket
+Template: pkgname/shared/noreply_to_bitbucket
Type: boolean
Default: true
_Description: Do you want mail to ${noreply} to be deleted?
#! /bin/sh
-# postinst script for gforge
+# postinst script for pkgname
#
# see: dh_installdeb(1)
case "$1" in
configure)
- gforge-config
+ pkgname-config
# Patch Postfix configuration files
- /usr/share/gforge/bin/install-postfix.sh configure-files
- ucf --debconf-ok /etc/aliases.gforge-new /etc/aliases
- ucf --debconf-ok /etc/postfix/main.cf.gforge-new /etc/postfix/main.cf
- rm /etc/aliases.gforge-new
- rm /etc/postfix/main.cf.gforge-new
- /usr/share/gforge/bin/install-postfix.sh configure
+ /usr/share/pkgname/bin/install-postfix.sh configure-files
+ ucf --debconf-ok /etc/aliases.pkgname-new /etc/aliases
+ ucf --debconf-ok /etc/postfix/main.cf.pkgname-new /etc/postfix/main.cf
+ rm /etc/aliases.pkgname-new
+ rm /etc/postfix/main.cf.pkgname-new
+ /usr/share/pkgname/bin/install-postfix.sh configure
;;
abort-upgrade|abort-remove|abort-deconfigure)
#! /bin/sh
-# prerm script for gforge
+# prerm script for pkgname
#
# see: dh_installdeb(1)
db_title "Unconfiguring Gforge"
# Unpatch Postfix configuration files
- /usr/share/gforge/bin/install-postfix.sh purge-files
- ucf --debconf-ok /etc/aliases.gforge-new /etc/aliases
- ucf --debconf-ok /etc/postfix/main.cf.gforge-new /etc/postfix/main.cf
- rm /etc/aliases.gforge-new
- rm /etc/postfix/main.cf.gforge-new
+ /usr/share/pkgname/bin/install-postfix.sh purge-files
+ ucf --debconf-ok /etc/aliases.pkgname-new /etc/aliases
+ ucf --debconf-ok /etc/postfix/main.cf.pkgname-new /etc/postfix/main.cf
+ rm /etc/aliases.pkgname-new
+ rm /etc/postfix/main.cf.pkgname-new
ucf --purge /etc/aliases
ucf --purge /etc/postfix/main.cf
db_stop
# Exim config removal
- /usr/share/gforge/bin/install-postfix.sh purge
+ /usr/share/pkgname/bin/install-postfix.sh purge
;;
upgrade|deconfigure|failed-upgrade)
;;
#DSFHELPER:users-variables#
#DSFHELPER:lists-variables#
-Template: gforge/shared/noreply_to_bitbucket
+Template: pkgname/shared/noreply_to_bitbucket
Type: boolean
Default: true
_Description: Do you want mail to ${noreply} to be discarded?
#! /bin/sh
-# postinst script for gforge-plugin-extratabs
+# postinst script for pkgname-plugin-extratabs
#
# see: dh_installdeb(1)
case "$1" in
configure)
- /usr/share/gforge/plugins/extratabs/bin/db-upgrade.pl
- /usr/share/gforge/bin/register-plugin extratabs "Extra Tabs"
+ /usr/share/pkgname/plugins/extratabs/bin/db-upgrade.pl
+ /usr/share/pkgname/bin/register-plugin extratabs "Extra Tabs"
;;
abort-upgrade|abort-remove|abort-deconfigure)
#! /bin/sh
-# prerm script for gforge-plugin-extratabs
+# prerm script for pkgname-plugin-extratabs
#
# see: dh_installdeb(1)
case "$1" in
remove|deconfigure)
- /usr/share/gforge/bin/unregister-plugin extratabs
- /usr/share/gforge/plugins/extratabs/bin/db-delete.pl
+ /usr/share/pkgname/bin/unregister-plugin extratabs
+ /usr/share/pkgname/plugins/extratabs/bin/db-delete.pl
;;
upgrade|failed-upgrade)
;;
#! /bin/sh
-# postinst script for gforge-plugin-globalsearch
+# postinst script for pkgname-plugin-globalsearch
#
# see: dh_installdeb(1)
case "$1" in
configure)
- /usr/share/gforge/plugins/globalsearch/bin/db-upgrade.pl
- /usr/share/gforge/bin/register-plugin globalsearch "Global Search"
+ /usr/share/pkgname/plugins/globalsearch/bin/db-upgrade.pl
+ /usr/share/pkgname/bin/register-plugin globalsearch "Global Search"
;;
abort-upgrade|abort-remove|abort-deconfigure)
#! /bin/sh
-# prerm script for gforge-plugin-globalsearch
+# prerm script for pkgname-plugin-globalsearch
#
# see: dh_installdeb(1)
case "$1" in
remove|deconfigure)
- /usr/share/gforge/bin/unregister-plugin globalsearch
- /usr/share/gforge/plugins/globalsearch/bin/db-delete.pl
+ /usr/share/pkgname/bin/unregister-plugin globalsearch
+ /usr/share/pkgname/plugins/globalsearch/bin/db-delete.pl
;;
upgrade|failed-upgrade)
;;
#! /bin/sh
-# postinst script for gforge-plugin-mediawiki
+# postinst script for pkgname-plugin-mediawiki
#
# see: dh_installdeb(1)
case "$1" in
configure)
- # /usr/share/gforge/plugins/mediawiki/bin/db-upgrade.pl
- /usr/share/gforge/bin/register-plugin mediawiki "Mediawiki"
- gforge-config
+ # /usr/share/pkgname/plugins/mediawiki/bin/db-upgrade.pl
+ /usr/share/pkgname/bin/register-plugin mediawiki "Mediawiki"
+ pkgname-config
for flavour in apache apache-perl apache-ssl apache2 ; do
if [ -x /usr/sbin/$flavour ]; then
invoke-rc.d $flavour reload || true
#! /bin/sh
-# prerm script for gforge-plugin-mediawiki
+# prerm script for pkgname-plugin-mediawiki
#
# see: dh_installdeb(1)
case "$1" in
remove|deconfigure)
- /usr/share/gforge/bin/unregister-plugin mediawiki
+ /usr/share/pkgname/bin/unregister-plugin mediawiki
invoke-rc.d apache reload
- # /usr/share/gforge/plugins/mediawiki/bin/db-delete.pl
+ # /usr/share/pkgname/plugins/mediawiki/bin/db-delete.pl
;;
upgrade|failed-upgrade)
;;
#! /bin/sh
-# postinst script for gforge-plugin-projectlabels
+# postinst script for pkgname-plugin-projectlabels
#
# see: dh_installdeb(1)
case "$1" in
configure)
- /usr/share/gforge/plugins/projectlabels/bin/db-upgrade.pl
- /usr/share/gforge/bin/register-plugin projectlabels "Project Labels"
+ /usr/share/pkgname/plugins/projectlabels/bin/db-upgrade.pl
+ /usr/share/pkgname/bin/register-plugin projectlabels "Project Labels"
;;
abort-upgrade|abort-remove|abort-deconfigure)
#! /bin/sh
-# prerm script for gforge-plugin-projectlabels
+# prerm script for pkgname-plugin-projectlabels
#
# see: dh_installdeb(1)
case "$1" in
remove|deconfigure)
- /usr/share/gforge/bin/unregister-plugin projectlabels
- /usr/share/gforge/plugins/projectlabels/bin/db-delete.pl
+ /usr/share/pkgname/bin/unregister-plugin projectlabels
+ /usr/share/pkgname/plugins/projectlabels/bin/db-delete.pl
;;
upgrade|failed-upgrade)
;;
#! /bin/sh
-# postinst script for gforge-plugin-scmcvs
+# postinst script for pkgname-plugin-scmcvs
#
# see: dh_installdeb(1)
case "$1" in
configure)
- gforge-config
+ pkgname-config
# Prepare database
- su -s /bin/sh gforge -c '/usr/share/gforge/bin/register-plugin scmcvs "CVS"'
+ su -s /bin/sh pkgname -c '/usr/share/pkgname/bin/register-plugin scmcvs "CVS"'
test -f /etc/default/apache2 && . /etc/default/apache2
if [ "$NO_START" != "0" ]; then
if [ -x /usr/sbin/apache ]; then
fi
fi
# Setup our CVS
- /usr/share/gforge/plugins/scmcvs/bin/install-cvs.sh configure
+ /usr/share/pkgname/plugins/scmcvs/bin/install-cvs.sh configure
# Making user group and cvs update from database
- /usr/share/gforge/plugins/scmcvs/bin/update-user-group-ssh.sh > /dev/null 2>&1
- rm -f /var/lib/gforge/dumps/*cvs*dump
- su -s /bin/sh gforge -c /usr/share/gforge/plugins/scmcvs/cronjobs/cvs_dump.pl
- /usr/share/gforge/plugins/scmcvs/cronjobs/cvs_update.pl
+ /usr/share/pkgname/plugins/scmcvs/bin/update-user-group-ssh.sh > /dev/null 2>&1
+ rm -f /var/lib/pkgname/dumps/*cvs*dump
+ su -s /bin/sh pkgname -c /usr/share/pkgname/plugins/scmcvs/cronjobs/cvs_dump.pl
+ /usr/share/pkgname/plugins/scmcvs/cronjobs/cvs_update.pl
- if [ ! -e /var/lib/gforge/chroot/cvs ] ; then
- cd /var/lib/gforge/chroot
+ if [ ! -e /var/lib/pkgname/chroot/cvs ] ; then
+ cd /var/lib/pkgname/chroot
ln -s cvsroot cvs
fi
# logs
- chown root:gforge /var/log/gforge/cvs
- chmod 775 /var/log/gforge/cvs
+ chown root:pkgname /var/log/pkgname/cvs
+ chmod 775 /var/log/pkgname/cvs
# Restart some services
[ -d /etc/ssh ] && invoke-rc.d ssh restart || true
#! /bin/sh
-# prerm script for gforge-plugin-scmcvs
+# prerm script for pkgname-plugin-scmcvs
#
# see: dh_installdeb(1)
set -e
remove|deconfigure)
if [ -f /var/run/postgresql/.s.PGSQL.5432 ]
then
- /usr/share/gforge/bin/unregister-plugin scmcvs
+ /usr/share/pkgname/bin/unregister-plugin scmcvs
else
echo "WARNING: GForge database not available to unregister scmcvs plugin"
fi
#! /bin/sh
-# postinst script for gforge
+# postinst script for pkgname
#
# see: dh_installdeb(1)
case "$1" in
configure)
- gforge-config
+ pkgname-config
# Patch NSS configuration files
- /usr/share/gforge/bin/install-nsspgsql.sh configure-files
- ucf --debconf-ok /etc/nss-pgsql.conf.gforge-new /etc/nss-pgsql.conf
- ucf --debconf-ok /etc/nss-pgsql-root.conf.gforge-new /etc/nss-pgsql-root.conf
- ucf --debconf-ok /etc/nsswitch.conf.gforge-new /etc/nsswitch.conf
- rm /etc/nss-pgsql.conf.gforge-new
- rm /etc/nss-pgsql-root.conf.gforge-new
- rm /etc/nsswitch.conf.gforge-new
+ /usr/share/pkgname/bin/install-nsspgsql.sh configure-files
+ ucf --debconf-ok /etc/nss-pgsql.conf.pkgname-new /etc/nss-pgsql.conf
+ ucf --debconf-ok /etc/nss-pgsql-root.conf.pkgname-new /etc/nss-pgsql-root.conf
+ ucf --debconf-ok /etc/nsswitch.conf.pkgname-new /etc/nsswitch.conf
+ rm /etc/nss-pgsql.conf.pkgname-new
+ rm /etc/nss-pgsql-root.conf.pkgname-new
+ rm /etc/nsswitch.conf.pkgname-new
# Install the chroot environment
- /usr/share/gforge/bin/install-chroot.sh configure
+ /usr/share/pkgname/bin/install-chroot.sh configure
;;
abort-upgrade|abort-remove|abort-deconfigure)
#! /bin/sh
-# prerm script for gforge
+# prerm script for pkgname
#
# see: dh_installdeb(1)
db_title "Unconfiguring Gforge"
# Unpatch Slapd configuration files
- /usr/share/gforge/bin/install-nsspgsql.sh purge-files
- ucf --debconf-ok /etc/nss-pgsql.conf.gforge-new /etc/nss-pgsql.conf
- ucf --debconf-ok /etc/nss-pgsql-root.conf.gforge-new /etc/nss-pgsql-root.conf
- ucf --debconf-ok /etc/nsswitch.conf.gforge-new /etc/nsswitch.conf
- rm /etc/nss-pgsql.conf.gforge-new
- rm /etc/nss-pgsql-root.conf.gforge-new
- rm /etc/nsswitch.conf.gforge-new
+ /usr/share/pkgname/bin/install-nsspgsql.sh purge-files
+ ucf --debconf-ok /etc/nss-pgsql.conf.pkgname-new /etc/nss-pgsql.conf
+ ucf --debconf-ok /etc/nss-pgsql-root.conf.pkgname-new /etc/nss-pgsql-root.conf
+ ucf --debconf-ok /etc/nsswitch.conf.pkgname-new /etc/nsswitch.conf
+ rm /etc/nss-pgsql.conf.pkgname-new
+ rm /etc/nss-pgsql-root.conf.pkgname-new
+ rm /etc/nsswitch.conf.pkgname-new
ucf --purge /etc/libnss-pgsql.conf
ucf --purge /etc/libnss-pgsql-root.conf
ucf --purge /etc/nsswitch.conf
#! /bin/sh
-# postinst script for gforge
+# postinst script for pkgname
#
# see: dh_installdeb(1)
add_onevar_mainconfile cronolog_path /usr/bin/cronolog
fi
- if [ ! -e /etc/gforge/ssl-cert.pem ] || [ ! -e /etc/gforge/ssl-cert.key ] ; then
+ if [ ! -e /etc/pkgname/ssl-cert.pem ] || [ ! -e /etc/pkgname/ssl-cert.key ] ; then
# Uh-oh, no SSL cert, let's make sure at least a dummy one exists.
if [ ! -e /etc/ssl/certs/ssl-cert-snakeoil.pem ] || [ ! -e /etc/ssl/private/ssl-cert-snakeoil.key ] ; then
# What, not even the snakeoil cert is there? Let's generate it
make-ssl-cert generate-default-snakeoil
fi
# Right. At this point, it should be safe to set the symlinks.
- ln -s /etc/ssl/certs/ssl-cert-snakeoil.pem /etc/gforge/ssl-cert.pem
- ln -s /etc/ssl/private/ssl-cert-snakeoil.key /etc/gforge/ssl-cert.key
- if grep -q ^sys_use_ssl=false$ /etc/gforge/gforge.conf \
- && grep -q ^sys_sslcrt=$ /etc/gforge/gforge.conf \
- && grep -q ^sys_sslkey=$ /etc/gforge/gforge.conf ; then
+ ln -s /etc/ssl/certs/ssl-cert-snakeoil.pem /etc/pkgname/ssl-cert.pem
+ ln -s /etc/ssl/private/ssl-cert-snakeoil.key /etc/pkgname/ssl-cert.key
+ if grep -q ^sys_use_ssl=false$ /etc/pkgname/pkgname.conf \
+ && grep -q ^sys_sslcrt=$ /etc/pkgname/pkgname.conf \
+ && grep -q ^sys_sslkey=$ /etc/pkgname/pkgname.conf ; then
# Okay, previous installations failed to locate SSL certs
# and disabled SSL altogether. Let's fix that
- sed -i -e 's,^sys_use_ssl=false$,sys_use_ssl=true,' /etc/gforge/gforge.conf
- sed -i -e 's,^sys_sslcrt=$,sys_sslcrt=/etc/gforge/ssl-cert.pem,' /etc/gforge/gforge.conf
- sed -i -e 's,^sys_sslkey=$,sys_sslkey=/etc/gforge/ssl-cert.key,' /etc/gforge/gforge.conf
+ sed -i -e 's,^sys_use_ssl=false$,sys_use_ssl=true,' /etc/pkgname/pkgname.conf
+ sed -i -e 's,^sys_sslcrt=$,sys_sslcrt=/etc/pkgname/ssl-cert.pem,' /etc/pkgname/pkgname.conf
+ sed -i -e 's,^sys_sslkey=$,sys_sslkey=/etc/pkgname/ssl-cert.key,' /etc/pkgname/pkgname.conf
fi
fi
- gforge-config
+ pkgname-config
db_stop
# Setup our Apache
- touch /var/lib/gforge/etc/templates/httpd.vhosts && \
- chown gforge:gforge /var/lib/gforge/etc/templates/httpd.vhosts && \
- /usr/share/gforge/bin/create-vhosts.sh --norestart
+ touch /var/lib/pkgname/etc/templates/httpd.vhosts && \
+ chown pkgname:pkgname /var/lib/pkgname/etc/templates/httpd.vhosts && \
+ /usr/share/pkgname/bin/create-vhosts.sh --norestart
# Enable required modules
DEBIAN_FRONTEND=noninteractive /usr/sbin/a2enmod php5 || true
DEBIAN_FRONTEND=noninteractive /usr/sbin/a2enmod rewrite || true
# Enable the Gforge configuration
- if [ -e /etc/apache2/conf.d/gforge.httpd.conf ] ; then
- rm -f /etc/apache2/conf.d/gforge.httpd.conf
+ if [ -e /etc/apache2/conf.d/pkgname.httpd.conf ] ; then
+ rm -f /etc/apache2/conf.d/pkgname.httpd.conf
fi
- if [ -d /etc/apache2/sites-available ] && [ ! -e /etc/apache2/sites-available/gforge ] ; then
- ln -s /etc/gforge/httpd.conf /etc/apache2/sites-available/gforge
+ if [ -d /etc/apache2/sites-available ] && [ ! -e /etc/apache2/sites-available/pkgname ] ; then
+ ln -s /etc/pkgname/httpd.conf /etc/apache2/sites-available/pkgname
fi
- a2ensite gforge
+ a2ensite pkgname
# Make Apache see these new changes
invoke-rc.d apache2 restart || true
#! /bin/sh
-# prerm script for gforge
+# prerm script for pkgname
#
# see: dh_installdeb(1)
case "$1" in
remove)
- a2dissite gforge || true
- rm -f /etc/apache2/sites-available/gforge
+ a2dissite pkgname || true
+ rm -f /etc/apache2/sites-available/pkgname
invoke-rc.d apache2 reload || true
;;
upgrade|deconfigure|failed-upgrade)
debian/$(PACKAGE)-%.cron.d:
@echo "Creating $@"
- (cat $(CURDIR)/packaging/cron.d/00phpcron ; sed -e 's/\$$FFUSER/gforge/g' $(CURDIR)/packaging/cron.d/$*) > $@
+ (cat $(CURDIR)/packaging/cron.d/00phpcron ; sed -e 's/\$$FFUSER/$(PACKAGE)/g' $(CURDIR)/packaging/cron.d/$*) > $@
debian/$(PACKAGE)-%.dirs:
@echo "Creating $@"
# Build man pages from Docbook sources
/usr/bin/docbook-to-man debian/cvssh.sgml > cvssh.1
- /usr/bin/docbook-to-man debian/gforge-config.sgml > gforge-config.1
+ /usr/bin/docbook-to-man debian/$(PACKAGE)-config.sgml > $(PACKAGE)-config.1
# Uudecode binary files
sh $(CURDIR)/deb-specific/manage-uufiles.sh decode
rm -f $(CURDIR)/debian/*.dirs
rm -f $(CURDIR)/debian/*.install
rm -f $(CURDIR)/debian/*.docs
- rm -f cvssh.1 gforge-config.1
+ rm -f cvssh.1 $(PACKAGE)-config.1
rm -rf locales/*
$(CURDIR)/debian/*/usr/share/*/plugins/*/cronjobs/*
#
chmod 755 $(CURDIR)/debian/$(PACKAGE)-db-postgresql/usr/share/*/db/*.php
- chmod 644 $(CURDIR)/debian/$(PACKAGE)-db-postgresql/usr/share/gforge/cronjobs/*.inc
+ chmod 644 $(CURDIR)/debian/$(PACKAGE)-db-postgresql/usr/share/$(PACKAGE)/cronjobs/*.inc
# viewvc rights
find $(CURDIR)/debian/$(PACKAGE)-web-apache2/usr/share/*/www/scm/viewvc -type f -exec chmod 0644 {} \;
# remove windows files
rm -rf $(CURDIR)/debian/$(PACKAGE)-web-apache2/usr/share/*/www/scm/viewvc/windows
#
- rm -f $(CURDIR)/debian/$(PACKAGE)-web-apache2/usr/share/*/www/themes/gforge/COPYING
+ rm -f $(CURDIR)/debian/$(PACKAGE)-web-apache2/usr/share/*/www/themes/$(PACKAGE)/COPYING
# Remove Snoopy class from binary packages (provided by libphp-snoopy)
for i in $(addprefix $(CURDIR)/debian/,$(shell dh_listpackages)) ; do find $$i -name Snoopy.class.php | xargs rm -rf ; done